#!/bin/bash

PATH=/opt/puppet/bin:/opt/puppet/sbin:/usr/local/bin:/usr/local/sbin:/bin:/bin:/usr/bin:/sbin:/usr/sbin:/opt/puppet/bin
DASHBOARD_ROOT="/opt/puppet/share/puppet-dashboard"
# Exit Code
EC=0

if $(which rake &> /dev/null) ; then
  if [ -d "$DASHBOARD_ROOT" ] ; then
    pushd $DASHBOARD_ROOT;
    if [ -f 'Rakefile' ] ; then
      rake puppet:plugin:baseline:daily RAILS_ENV=production
      if [ "$?" == "0" ] ; then
         EC=0
      else
         echo "Rake failed.  Exiting."
         EC=99
      fi
    fi
  else
     echo "$DASHBOARD_ROOT does not appear to be a directory" 
     EC=2
  fi
else
  echo "rake not found in \$PATH."  
  EC=3
fi

exit $EC
